#ifndef _TOOLROMLISTER_H__
#define _TOOLROMLISTER_H__

//Standard; Needed for the error things...
#include <errno.h>
#include <string.h>

//KDE
#include <kdebug.h>
#include <kprocess.h>
#include <kpopupmenu.h>
#include <klocale.h>
#include <kdeversion.h>
#include <kconfig.h>
#include <kapplication.h>
#include <kmessagebox.h>
#include <kstandarddirs.h>

//Qt
#include <qpushbutton.h>
#include <qlistview.h>
#include <qcombobox.h>
#include <qstringlist.h>
#include <qfile.h>
#include <qregexp.h>
#include <qlcdnumber.h>

//custom...
#include "toolromlisteriface.h"

class ToolRomListerPlugin : public ToolRomLister
{
Q_OBJECT
public:
	ToolRomListerPlugin();
	~ToolRomListerPlugin();

	QString addBin;
	QString temp;
	KConfig *config;
	int get_lock;

private:
#if KDE_VERSION >= 306
	KProcess pProc;
	KProcess m_proc;
#else
	KShellProcess pProc;
	KShellProcess m_proc;
#endif

private slots:
	QString detectBin(int mode);
	void addRoms();
	void fetchList();
	bool fillRomList( QListView *, const QString &);
	void getStoppedStatus(KProcess *);
	void getOkStatus(KProcess *);

	virtual void slotReload();
};

#endif

